
#import "PieChart_SampleViewController.h"

@implementation PieChart_SampleViewController

@synthesize graph,pieData;



// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {

	CPLayerHostingView * newView = [[CPLayerHostingView alloc]initWithFrame:[[UIScreen mainScreen] applicationFrame]];
	self.view = newView;
	[newView release];

}




// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];

	graph = [[CPXYGraph alloc] initWithFrame: self.view.bounds];	
	CPLayerHostingView *hostingView = (CPLayerHostingView *)self.view;
	hostingView.hostedLayer = graph;
	


	
	CPPieChart *pieChart = [[CPPieChart alloc] init];
    pieChart.dataSource = self;
    pieChart.pieRadius = 100.0;
    pieChart.identifier = @"PieChart1";
	pieChart.startAngle = M_PI_4;
	pieChart.sliceDirection = CPPieDirectionCounterClockwise;

	self.pieData=  [NSMutableArray arrayWithObjects:[NSNumber numberWithDouble:90.0], 
									[NSNumber numberWithDouble:20.0],
									[NSNumber numberWithDouble:30.0],
									[NSNumber numberWithDouble:40.0],
									[NSNumber numberWithDouble:50.0], [NSNumber numberWithDouble:60.0], nil];
	
	CPTheme *theme = [CPTheme themeNamed:kCPDarkGradientTheme];
    [graph applyTheme:theme];
	
	[graph addPlot:pieChart];
    [pieChart release];
	

}
-(NSUInteger)numberOfRecordsForPlot:(CPPlot *)plot
{
    return [self.pieData count];
}

-(NSNumber *)numberForPlot:(CPPlot *)plot field:(NSUInteger)fieldEnum recordIndex:(NSUInteger)index 
{
	return [self.pieData objectAtIndex:index];
}



-(CPFill *)sliceFillForPieChart:(CPPieChart *)pieChart recordIndex:(NSUInteger)index {
	
	
	CPFill * fill = [CPFill fillWithGradient:[CPGradient rainbowGradient]];
	return fill;

}


- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[pieData release];
	[graph release];
    [super dealloc];
}

@end
